{
  "lines": [
    {
      "key": "fe_or_be",
      "helpText": "Front end or Back end?",
      "resultSummary": "<b>Tech</b>: {value}",
      "fieldType": "radios",
      "options": ["Front End", "Back End"]
    },
    {
      "key": "fav_fe_tech",
      "helpText": "Favorite Front End Framework?",
      "resultSummary": "<b>Framework</b>: {value}",
      "fieldType": "radios",
      "options": ["Angular", "React", "Ember", "NextJS"],
      "preConditions": {
        "key": "fe_or_be",
        "value": "Front End"
      }
    },
    {
      "key": "react_version",
      "helpText": "React Version:",
      "resultSummary": "<b>React v</b>: {value}",
      "fieldType": "numeric",
      "preConditions": [
        {
          "key": "fe_or_be",
          "value": "Front End"
        },
        "AND",
        {
          "key": "fav_fe_tech",
          "value": "React"
        }
      ]
    },
    {
      "key": "angular_version",
      "helpText": "Angular Version:",
      "resultSummary": "<b>Angular v</b>: {value}",
      "fieldType": "numeric",
      "preConditions": [
        {
          "key": "fe_or_be",
          "value": "Front End"
        },
        "AND",
        {
          "key": "fav_fe_tech",
          "value": "Angular"
        }
      ]
    },
    {
      "key": "fav_color",
      "helpText": "Favorite Color?",
      "resultSummary": "<b>Color</b>: {value}",
      "fieldType": "select",
      "options": ["Red", "Blue", "Yellow", "Orange"]
    },
    {
      "key": "condition_test_1",
      "helpText": "So you're either a front-end angular dev - OR - you like yellow!",
      "resultSummary": "<b>Ex: </b>: {value}",
      "fieldType": "text",
      "preConditions": [
        [
          {
            "key": "fe_or_be",
            "value": "Front End"
          },
          "AND",
          {
            "key": "fav_fe_tech",
            "value": "Angular"
          }
        ],
        "OR",
        {
          "key": "fav_color",
          "value": "Yellow"
        }
      ]
    },
    {
      "key": "condition_test_2",
      "helpText": "So you're a (front-end AND (react or angular) dev) AND (you like red OR blue)!",
      "resultSummary": "<b>Ex: </b>: {value}",
      "fieldType": "text",
      "preConditions": [
        [
          {
            "key": "fe_or_be",
            "value": "Front End"
          },
          "AND",
          [
            {
              "key": "fav_fe_tech",
              "value": "Angular"
            },
            "OR",
            {
              "key": "fav_fe_tech",
              "value": "React"
            }
          ]
        ],
        "AND",
        [
          {
            "key": "fav_color",
            "value": "Red"
          },
          "OR",
          {
            "key": "fav_color",
            "value": "Blue"
          }
        ]
      ]
    }
  ],
  "dataMap": {
    "fe_or_be" : null,
    "location" : null
  }
}